<div class="push-monkey push-monkey-bootstrap">
  <div class="container-fluid">
    <?php if ( ! $signed_in ) { ?>

    <?php require_once( plugin_dir_path( __FILE__ ) . '/parts/log-in.php' ); ?>
    <?php } else { ?>

    <?php require_once( plugin_dir_path( __FILE__ ) . '/parts/header.php' ); ?>


    <div class="panel panel-default">
      <div class="panel-heading">
        <h3 class="panel-title">WooCommerce + Push Monkey</h3>
      </div>
      <div class="panel-body">
        <?php if ( !$woocommerce_is_active ) { ?>

        <h3>Did you know Push Monkey works seamlessly with WooCommerce?</h3>
        <p>
          The <strong>Abandoned Cart</strong> feature reminds your visitor
          about shopping carts that they did not check out.
        </p>
        <p>
          Install and activate WooCommerce to take full advantage of this feature.
        </p>
        <?php } else { ?>

        <h3>The Abandoned Shopping Cart feature is now active.</h3>
        <p>
          This will remind your visitors if they did not check out their shopping cart.
        </p>     
        <?php }?>
      </div>
    </div>
    <?php if ( $woocommerce_is_active ) { ?>
    <form class="push_monkey_woo_settings" name="push_monkey_woo_settings" enctype="multipart/form-data" method="post" class="form-horizontal">
      <div class="panel panel-success">
        <div class="panel-heading">
          <h3 class="panel-title">Abandoned Cart Options</h3>
        </div>
        <div class="panel-body">

          <div class="form-group clearfix">
            <label class="col-md-3 control-label">
              Enable Abandoned Cart Notifications
            </label>
            <div class="col-md-3">
                <label class="switch">
                    <input type="checkbox" class="switch" name="push_monkey_woo_enabled" <?php if ( $woo_enabled === '1' ) {?> checked="true" <?php } ?>
                    >
                    <span></span>
                </label>
                <span class="help-block">By default, this is enabled.</span>
            </div>
          </div>

          <div class="form-group clearfix">
            <label class="col-md-3 col-xs-12 control-label" for="push-monkey-abandoned-delay">
              Abandoned Cart Delay
            </label>
            <div class="col-md-4 col-xs-12">
              <input type="text" value="<?php echo $woo_settings['abandoned_cart_delay']; ?>" name="abandoned_cart_delay" id="push-monkey-abandoned-delay" class="form-control"/>
              <span class="help-block">
                The number of <strong>minutes</strong> after which the abandoned cart reminder push notification is sent.
              </span>
            </div>
          </div>

          <div class="form-group clearfix">
            <label class="col-md-3 col-xs-12 control-label" for="push-monkey-abandoned-title">
              Abandoned Cart Title
            </label>
            <div class="col-md-6 col-xs-12">
              <input type="text" value="<?php echo $woo_settings['abandoned_cart_title']; ?>" name="abandoned_cart_title" id="push-monkey-abandoned-title" class="form-control" maxlength="30"/>
              <span class="help-block">
                The title of the abandoned cart reminder push notifications.
              </span>
            </div>
          </div>

          <div class="form-group clearfix">
            <label class="col-md-3 col-xs-12 control-label" for="push-monkey-abandoned-message">
              Abandoned Cart Message
            </label>
            <div class="col-md-6 col-xs-12">
              <textarea name="abandoned_cart_message" id="push-monkey-abandoned-message" class="form-control" rows="3" maxlength="120"><?php echo $woo_settings['abandoned_cart_message']; ?></textarea>
              <span class="help-block">
                The message of the abandoned cart reminder push notifications.
              </span>
            </div>
          </div>

          <div class="form-group clearfix">
            <label class="col-md-3 col-xs-12 control-label" for="push-monkey-abandoned-image">
              Abandoned Cart Image
            </label>
            <div class="col-md-6 col-xs-12">
              <input type="file" class="fileinput btn-primary"  value="24" name="abandoned_cart_image" id="push-monkey-abandoned-image"/>
              <span class="help-block">
                The image of the abandoned cart reminder push notifications. Recommended
                size 675px x 506px. 
              </span>
              <?php if ( $woo_settings['abandoned_cart_image'] ) {?>
                <br />
                <p>Your current image:</p>
                <img style="width: 337px; height: 253px" src="https://getpushmonkey.com/<?php echo $woo_settings['abandoned_cart_image']; ?>" />
              <?php } ?>
            </div>
          </div>                            

        </div>

        <div class="panel-footer">
          <button type="submit" name="push_monkey_woo_settings" class="btn btn-primary pull-right">Save</button>
        </div>      

      </div>
    </form>
    <?php }?>
    <?php require_once( plugin_dir_path( __FILE__ ) . '/parts/footer.php' ); ?>
    <?php } ?>

  </div>
</div>